{% extends 'base.html' %}

{% block title %}Create{% endblock %}

{% block content %}

<div class="row">


    <div class="col-6 mx-auto">
        <p style="font-family: 'Brush Script MT', cursive; font-size:35px;" class="my-3">Create Post</p>
        <form method="post"  enctype="multipart/form-data">
            {{ form.non_field_errors }}

            {% if form.non_field_errors %}
                {% for err in form.non_field_errors %}
                    <p>{{ err }}</p>
                {% endfor %}
            {% endif %}

            {% csrf_token %}
            {% for field in form %}
               <p> {{ field.label_tag }} {{ field}} <span style="color:red;">{{ field.errors|striptags }}</span></p>
            {% endfor %}
            <input type="submit" value="Create" class="btn btn-success">
        </form>
    </div>

</div>


{% endblock %}